## mythtv-dmo 31.0+fixes20210403.git563a05b7a8

=== debian/changelog ===
mythtv-dmo (31.0+fixes20210403.git563a05b7a8-dmo1~ab10+1) buster-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    203cef68a0636fcf536d4938815dc2725fb8a0ba.
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Mon, 05 Apr 2021 16:42:36 +0200

mythtv-dmo (31.0+fixes20210403.git563a05b7a8-dmo1~ab~BULLSEYE+1) bullseye-ab-unstable; urgency=medium

  [ Stephan Sürken ]
  * [e56cf55] control: Remove versioned b-d on libx264 (epoch 3 not in
    Debian).
  * [32d605b] control: mythtv-python: Recommends: python-aniso8601 (Fixes
    warning in /usr/share/mythtv/internetcontent/youtube.py).
  * [0f33515] control: Remove versioned b-d on libcec (epoched version not
    in Debian).
  * [47e217e] control: b-d: Allow libfreetyp6-dev for buster.

  [ Stephan Suerken ]
  * [b418740] debian/patches/a2_astra_scan_defaults: Make channel scan
    work ootb for Astra 19E.

  [ Stephan Sürken ]
  * [eb8cb6f] control: Downgrade b-d libvpx-dev to 1.7 for buster.
  * [c300fdd] control: b-d egl-dev: Also accept libegl1-mesa-dev for
    buster.
  * [17f3b3a] control: nv-codec-headers: ported deb (in Ubuntu) is called
    'libffmpeg-nvenc-dev'.
  * [9da3feb] control: Add missing dh-python,dh-linktree to b-d (fixes
    FTBS).
  * [65736d7] control (Build-Depends): Use libdca-dev, not libdts-dev
    (latter dropped since 0.0.7-1/bullseye).
  * MINI_BUILDD_OPTION: ignore-lintian=true
  * MINI_BUILDD_OPTION: auto-ports=buster-ab-unstable

 -- Stephan Sürken <absurd@olurdix.de>  Mon, 05 Apr 2021 15:46:10 +0200

mythtv-dmo (31.0+fixes20210403.git563a05b7a8-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Add ffmpeg to mythtv-frontend Suggests

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Apr 2021 16:14:56 +0200

mythtv-dmo (31.0+fixes20210323.gitdbac81d4f9-dmo2) unstable; urgency=medium

  * Build with libaom3

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Mar 2021 16:05:05 +0100

mythtv-dmo (31.0+fixes20210323.gitdbac81d4f9-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Mar 2021 09:23:14 +0100

mythtv-dmo (31.0+fixes20210320.git6c7c8b0351-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 20 Mar 2021 08:16:59 +0100

mythtv-dmo (31.0+fixes20210226.gitb6ddf202a4-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 26 Feb 2021 07:29:23 +0100

mythtv-dmo (31.0+fixes20210225.git525e3b0bb4-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * tmdb3tv.py and tvmaze.py should be executable.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 25 Feb 2021 09:04:18 +0100

mythtv-dmo (31.0+fixes20210206.git7763a3363d-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Feb 2021 09:18:36 +0100

mythtv-dmo (31.0+fixes20210126.git016630a35c-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Build with libcec6

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Jan 2021 09:26:06 +0100

mythtv-dmo (31.0+fixes20201214.gite9b795a1e4-dmo2) unstable; urgency=medium

  * Fix database weekly backup script and enable rotate (set to 12 (weeks)).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 19 Dec 2020 09:39:57 +0100

mythtv-dmo (31.0+fixes20201214.gite9b795a1e4-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Dec 2020 09:13:53 +0100

mythtv-dmo (31.0+fixes20201018.giteb3c84de5f-dmo2) unstable; urgency=medium

  * Build with libdav1d5

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Nov 2020 18:21:29 +0100

mythtv-dmo (31.0+fixes20201018.giteb3c84de5f-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Add a Breaks for old libraries : libmyth-0.27-0, libmyth-0.28-0 and libmyth-30

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Oct 2020 14:48:53 +0200

mythtv-dmo (31.0+fixes20200926.git8ca7747648-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 26 Sep 2020 09:57:26 +0200

mythtv-dmo (31.0+fixes20200906.gitb282809197-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Sep 2020 14:43:02 +0200

mythtv-dmo (31.0+fixes20200823.gitd3088629de-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 23 Aug 2020 08:42:01 +0200

mythtv-dmo (31.0+fixes20200720.git89d1991ef2-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Uses nv-codec-headers package instead of the included headers.
  * Add dbconfig-no-thanks as alternative to dbconfig-mysql

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Jul 2020 09:03:00 +0200

mythtv-dmo (31.0+fixes20200715.git8212a9b7bf-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * mythtv-database should Depends on dbconfig-mysql

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Jul 2020 11:10:01 +0200

mythtv-dmo (31.0+fixes20200630.git8a0c4f9bd2-dmo2) unstable; urgency=medium

  * Build with libx264-161

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Jul 2020 15:12:36 +0200

mythtv-dmo (31.0+fixes20200630.git8a0c4f9bd2-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.


