=== debian/watch ===
version=4

opts=uversionmangle=s/29-pre|30-Pre/0/ \
https://github.com/MythTV/mythtv/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
