## mythtv-dmo 31.0+fixes20210424.git05c16580e1

=== debian/changelog ===
mythtv-dmo (31.0+fixes20210424.git05c16580e1-dmo1~ab10+1) buster-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    df5a2e26524a3b576c30725cd1c52dfcb2ca1e83.
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Thu, 29 Apr 2021 08:19:39 +0200

mythtv-dmo (31.0+fixes20210424.git05c16580e1-dmo1~ab~BULLSEYE+1) bullseye-ab-unstable; urgency=medium

  [ Stephan Sürken ]
  * [2b49795] control: Remove versioned b-d on libx264 (epoch 3 not in
    Debian).
  * [6daffa3] control: mythtv-python: Recommends: python-aniso8601 (Fixes
    warning in /usr/share/mythtv/internetcontent/youtube.py).
  * [78c9db7] control: Remove versioned b-d on libcec (epoched version not
    in Debian).
  * [36ba851] control: b-d: Allow libfreetyp6-dev for buster.

  [ Stephan Suerken ]
  * [2b9bcd0] debian/patches/a2_astra_scan_defaults: Make channel scan
    work ootb for Astra 19E.

  [ Stephan Sürken ]
  * [c8f0b83] control: Downgrade b-d libvpx-dev to 1.7 for buster.
  * [e0d3755] control: b-d egl-dev: Also accept libegl1-mesa-dev for
    buster.
  * [c6d0be8] control: nv-codec-headers: ported deb (in Ubuntu) is called
    'libffmpeg-nvenc-dev'.
  * [27b0ff5] control: Add missing dh-python,dh-linktree to b-d (fixes
    FTBS).
  * [35f06ca] control (Build-Depends): Use libdca-dev, not libdts-dev
    (latter dropped since 0.0.7-1/bullseye).
  * MINI_BUILDD_OPTION: ignore-lintian=true
  * MINI_BUILDD_OPTION: auto-ports=buster-ab-unstable

 -- Stephan Sürken <absurd@olurdix.de>  Wed, 28 Apr 2021 18:54:14 +0200

mythtv-dmo (31.0+fixes20210424.git05c16580e1-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Apr 2021 08:40:47 +0200
