## mythtv-dmo 31.0+fixes20220227.git7e4ce1ba98

=== debian/changelog ===
mythtv-dmo (1:31.0+fixes20220227.git7e4ce1ba98-dmo0+deb11u1) stable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Feb 2022 09:50:11 +0100

mythtv-dmo (1:31.0+fixes20220120.git23738a7074-dmo0+deb11u1) stable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 27 Jan 2022 16:11:20 +0100

mythtv-dmo (1:31.0+fixes20211113.git25f1bb1d12-dmo0+deb11u1) stable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Nov 2021 09:23:17 +0100

mythtv-dmo (1:31.0+fixes20210801.git5824c588db-dmo1+deb11u2) stable; urgency=medium

  * Really apply previous changes :)

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Oct 2021 11:22:50 +0200

mythtv-dmo (1:31.0+fixes20210801.git5824c588db-dmo1+deb11u1) stable; urgency=medium

  * python3-mythtv :
      Should depends on python3-dateutil (required by tvmaze).
      Remove duplicate python3-future in Depends
      Remove python3-requests already provided by python3-requests-cache

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Oct 2021 10:58:04 +0200

mythtv-dmo (1:31.0+fixes20210801.git5824c588db-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * I forgot, a fallbacl has been added if pwgen isn't installed, so remove
    'Pre-Depends: pwgen' for the mythtv-common package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Aug 2021 14:31:54 +0200

mythtv-dmo (1:31.0+fixes20210729.git7037525723-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * mythtv-common should Pre-Depends: on pwgen.
  * Add amf-codec-headers to Build-Conflicts

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 Jul 2021 08:45:02 +0200

mythtv-dmo (1:31.0+fixes20210614.git0680b37c68-dmo2) unstable; urgency=medium

  * Remove unused ifconfig call from the mythtv-database postinst script.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 07 Jul 2021 01:07:47 +0200

mythtv-dmo (1:31.0+fixes20210614.git0680b37c68-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Build with libx264-164

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Jun 2021 10:11:51 +0200

mythtv-dmo (1:31.0+fixes20210605.gitdf29c72b4d-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * /usr/share/mythtv/hardwareprofile/sendProfile.py must be executable
    (Thanks to Ian Campbell for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 05 Jun 2021 14:43:31 +0200

mythtv-dmo (1:31.0+fixes20210522.gitf8c59ee69d-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * mythtv.desktop Remove obsolet --service option (Thank to Arne Nordmark
    for the bug report).
  * Add symbolic links for fonts-tiresias files.
  * Add symbolic links for libjs-jquery-ui files.
  * Don't install examples files from MythXMLTest directory in
    mythtv-backend, these files are already packaged in mythtv-doc

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 22 May 2021 09:48:25 +0200

mythtv-dmo (1:31.0+fixes20210508.gitf7de8cea58-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 May 2021 09:41:46 +0200
