=== debian/control ===
--- 
+++ 
@@ -5,27 +5,29 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.mythtv.org/
 Standards-Version: 4.5.1
-Build-Conflicts: libmyth-dev, liboss4-salsa-dev, libroar-dev, libsndio-dev
-Build-Depends: debhelper-compat (= 13), dh-python, dh-linktree, dh-sequence-python3, libxext-dev,
- libvorbis-dev, libdbi-perl, default-libmysqlclient-dev, libfreetype6-dev | libfreetype-dev,
+Build-Conflicts: libmyth-dev, liboss4-salsa-dev, libroar-dev, libsndio-dev, amf-codec-headers
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libxext-dev,
+ libvorbis-dev, libdbi-perl, default-libmysqlclient-dev, libfreetype-dev,
  libjack-jackd2-dev, qtscript5-dev, libavc1394-dev [linux-any], libfaad-dev,
- liblircclient-dev, libsamplerate0-dev, libasound2-dev [linux-any], libdca-dev,
+ liblircclient-dev, libsamplerate0-dev, libasound2-dev [linux-any], libdts-dev,
  libxinerama-dev, quilt, libtag1-dev, libiec61883-dev (>= 1.0.0) [linux-any],
  libxxf86vm-dev, po-debconf, libxvmc-dev, libdvdnav-dev, libssl-dev, texinfo,
  libsoundtouch-dev, nasm [any-amd64 any-i386], libxrandr-dev, libfftw3-dev,
  libdbd-mysql-perl, libfribidi-dev, libxml2-dev, libgl-dev, liba52-0.7.4-dev,
  libxvidcore-dev, libpulse-dev, libtool-bin, libexiv2-dev, libvdpau-dev,
- qtbase5-dev, libsctp-dev, libcec-dev, libdrm-dev, uuid-dev,
+ qtbase5-dev, libsctp-dev, libcec-dev (>= 2:6~), libdrm-dev, uuid-dev,
  libva-dev [any-amd64 any-i386], libudev-dev, liblzma-dev, libqt5webkit5-dev,
- libx264-dev, libvpx-dev (>= 1.7.0), libass-dev (>= 0.10.2),
+ libx264-dev (>= 3:0.159~), libvpx-dev (>= 1.8.0), libass-dev (>= 0.10.2),
  libavahi-compat-libdnssd-dev, libhttp-message-perl, libio-socket-inet6-perl,
  libhdhomerun-dev (>= 20170815-2~), libsystemd-dev, librtmp-dev, libbz2-dev,
  libgnutls28-dev | gnutls-dev, libqt5opengl5-dev, libbluray-dev, libwww-perl,
  libnet-upnp-perl, libx265-dev, libmp3lame-dev, libxnvctrl-dev, liblzo2-dev,
  libxml-simple-perl, python3-simplejson, python3-future, libdav1d-dev,
  libaom-dev [amd64], python3-mysqldb, python3-lxml, python3-requests,
- libxcb-shm0-dev, libegl1-mesa-dev | libegl-dev, libffmpeg-nvenc-dev [amd64 i386],
- dh-linktree, fonts-freefont-ttf, fonts-tlwg-purisa-ttf, fonts-texgyre
+ libxcb-shm0-dev, libegl-dev, nv-codec-headers [amd64 i386],
+ dh-linktree,
+ fonts-freefont-ttf, fonts-tlwg-purisa-ttf, fonts-texgyre, fonts-tiresias,
+ libjs-jquery-ui
 
 Package: mythtv
 Architecture: all
@@ -54,7 +56,7 @@
 Package: mythtv-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${python3:Depends}, libxml-xpath-perl, default-mysql-client | virtual-mysql-client, adduser
+Depends: ${misc:Depends}, python3:any, libxml-xpath-perl, default-mysql-client | virtual-mysql-client, adduser
 Recommends: mythtv-doc (>= ${source:Version}), python3-selinux
 Conflicts: mythlogserver
 Description: Personal video recorder application (common data)
@@ -92,7 +94,7 @@
 Package: mythtv-backend
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3, cron | cron-daemon, wget, lsb-base, mythtv-transcode, python3-pycurl, python3-mythtv
+Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, cron | cron-daemon, wget, lsb-base, mythtv-transcode, python3:any, python3-pycurl, python3-mythtv
 Replaces: mythtv-common (<= 0.27.0-dmo2)
 Recommends: mythtv-database, logrotate, xmltv-util
 Suggests: mythtv-frontend, mythweb
@@ -116,7 +118,7 @@
 
 Package: mythtv-frontend
 Architecture: any
-Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-mythtv
+Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, python3-mythtv
 Suggests: mythtv-backend, mythmusic, mythweather, mythgallery, mythgame, ffmpeg
 Description: Personal video recorder application (client)
  MythTV provides a unified graphical interface for recording and viewing
@@ -181,8 +183,7 @@
 Conflicts: python-mythtv
 Replaces: python-mythtv
 Provides: ${python3:Provides}
-Depends: ${python3:Depends}, ${misc:Depends}, python3-mysqldb, python3-lxml, python3-future, python3-requests, python3-requests-cache, python3-simplejson, python3-future
-Recommends: python3-aniso8601
+Depends: ${python3:Depends}, ${misc:Depends}, python3-mysqldb, python3-lxml, python3-future, python3-requests-cache, python3-simplejson, python3-dateutil
 Description: Personal video recorder application (common data)
  MythTV provides a unified graphical interface for recording and viewing
  television programs. Refer to the mythtv package for more information.
