=== debian/rules ===
--- 
+++ 
@@ -91,11 +91,10 @@
 	chmod +x debian/tmp/usr/share/mythtv/internetcontent/*.pl
 	chmod +x debian/tmp/usr/share/mythtv/metadata/Television/tmdb3tv.py
 	chmod +x debian/tmp/usr/share/mythtv/metadata/Television/tvmaze.py
+	chmod +x debian/tmp/usr/share/mythtv/hardwareprofile/sendProfile.py
 
 override_dh_install:
-	rm debian/tmp/usr/share/mythtv/fonts/README-freefont-20120503.txt
-	rm debian/tmp/usr/share/mythtv/fonts/README-purisa.txt
-	rm debian/tmp/usr/share/mythtv/fonts/README-TeX-Gyre-Chorus.txt
+	rm debian/tmp/usr/share/mythtv/fonts/*.txt
 
 	dh_install -X.a -XCOPYING -XLICENSE -Xusr/share/mythtv/themes/MythCenter-wide/fonts
 
@@ -136,18 +135,16 @@
 
 	debconf-updatepo
 
-	dh_clean version.cpp external/FFmpeg/mythffmpeg config.log external/FFmpeg/mythffplay \
-	external/FFmpeg/libavfilter/libmpcodecs/*.o external/FFmpeg/libavfilter/libmpcodecs/*.d \
-	config.fate external/FFmpeg/libavcodec/codec_names.h external/FFmpeg/.config \
-	external/FFmpeg/mythffserver external/FFmpeg/mythffprobe TMPMAK src debian/substvars \
-	debian/libmythtv-recommends-dummy.so bindings/perl/MYMETA.json bindings/perl/MYMETA.yml \
-	bindings/perl/Makefile.perl bindings/perl/pm_to_blib external/libsamplerate/Makefile \
-	external/libmythbluray/.qmake.stash external/libmythbluray/Makefile doc/config.texi \
-	external/libmythsoundtouch/.qmake.stash external/libmythsoundtouch/Makefile external/libsamplerate/.qmake.stash \
+	dh_clean debian/libmythtv-recommends-dummy.so external/FFmpeg/mythffmpeg \
+	external/FFmpeg/mythffprobe config.fate config.log doc/config.texi src \
 	external/FFmpeg/doc/config.texi external/FFmpeg/libavdevice/indev_list.c \
 	external/FFmpeg/libavdevice/outdev_list.c external/FFmpeg/libavfilter/filter_list.c
 
-#	find -name .exists | xargs -r rm
+	-rmdir doc
+	-rmdir -p tests/api
+
+	find -name moc -delete
+	find -name obj -delete
 
 override_dh_shlibdeps: debian/libmythtv-recommends-dummy.so
 	dh_shlibdeps
